@charset "UTF-8";
@import url('vars-site.css');
@import url('partials/preload-page.css');
@import url('partials/utilities.css');
@import url('partials/top-header.css');
@import url('partials/box-current-selecctions.css');
@import url('partials/main-menu.css');
@import url('partials/main-menu-responsive.css');
@import url('partials/main-content.css');
@import url('partials/page-nav.css');
@import url('partials/kpi_object.css');

@font-face {
    font-family: 'Roboto';
    src: url('../fonts/Roboto/Roboto-Regular.ttf') format("truetype");
}

@font-face {
    font-family: 'Roboto-Light';
    src: url('../fonts/Roboto/Roboto-Light.ttf') format('truetype');
}

@font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: lighter;
    src: url('../fonts/Montserrat/Montserrat-Regular.otf'); /* IE9 Compat Modes */
}

@font-face {
    font-family: 'Neutra-Light';
    src: url('../fonts/Neutra/NeutraTextLight.otf');
}

@font-face {
    font-family: 'Neutra-Bold';
    src: url('../fonts/Neutra/NeutraTextBold.otf');
}

html {
    font-size: 100%;
    -webkit-text-size-adjust: none;
    -moz-text-size-adjust: none;
    -ms-text-size-adjust: none;
    text-size-adjust: none;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    position: relative;
}

body, html {
    background: var(--body-bgcolor);
    font-family: var(--font-family);
    font-size: inherit;
    line-height: inherit;
}

h1, h2, h3, h4, h5, h6 {
    margin-top: 0;
    margin-bottom: 0;
}

/*Ocultamos el modal-backdrop de los modales para no bloquear la página de inicio*/
#main .modal-backdrop {
    display:none;
}
/*mz-genaro-box*/
/*Genaro*/
#main .mz-genaro-box {
    z-index: 999;
}

#main .mz-genaro-box .MzGenaro .menu-exploracion {
    z-index: 2
}

#main .mz-genaro-box .MzBootstrap .form-control,
#main .mz-genaro-box .MzBootstrap .list-group-item,
#main .mz-genaro-box .MzBootstrap .custom-select,
#main .mz-genaro-box .select2-container--default .select2-selection--multiple {
    background-color: transparent !important;
}

#main .box_object .mz-genaro-box .MzBootstrap .custom-select,
#main .box_object .mz-genaro-box .MzBootstrap .form-control,
#main .box_object .mz-genaro-box .select2-container--default .select2-selection--multiple,
#main .box_object .mz-genaro-box .select2-container--default .select2-search--inline .select2-search__field {
    color: #444 !important;
}

#main .mz-genaro-box .MzBootstrap .list-group-item {
    color: #444 !important;
}

#main .mz-genaro-box .MzBootstrap .list-group-item.active {
    color: #fff !important;
    background-color: #00607c !important;
}

#main .mz-genaro-box .lui-switch {
    padding: 5px !important;
    margin-right: 11px;
}

#main .mz-genaro-box .group_data > .col:not(.group_master_container) {
    display: flex;
    flex-direction: column;
}

#main .mz-genaro-box .MzGenaro .qlikobject {
    height: 100%;
}

#main .mz-genaro-box .MzBootstrap .custom-select, .box_object .MzBootstrap .form-control {
    height: calc(2.3rem + 2px) !important;
}

#main .mz-genaro-box .MzBootstrap .form-control {
    font-size: 0.9rem;
}

#main .mz-genaro-box .MzGenaro .menu-exploracion {
    top: 148px;
}

#main .qv-pt .cell.header.top .value {
    text-align: center;
}

#main .MzBootstrap.MzBootstrap-include {
    display: none !important;
}

[sidebarjs].sidebarjs--right [sidebarjs-container] {
    box-shadow: none !important;
}

[sidebarjs].sidebarjs--right {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    box-shadow: none !important;
}

[sidebarjs-container] {
    background: transparent !important;
}

[sidebarjs-container] .sidebar-menu-exploracion {
    position: absolute;
    top: 161px;
    right: 0;
    width: 100% !important;
    height: -moz-calc(100% - 161px) !important;
    height: calc(100% - 161px) !important;
}

[sidebarjs-container] .menu-exploracion {
    width: 100% !important;
    box-shadow: -2px 0 4px rgba(0,0,0,.2);
}

.mz-dark .MzGenaro .msj {
    color: #fff;
}

.mz-white .MzGenaro .msj {
    color: #444;
}

/*Bloqueo de pantalla entre secciones*/
.mz-block {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    background: url(../assets/img/imgBackground/background-bavaria.jpg) no-repeat ;
    background-size: cover;
    background-position: center;
}

@media (max-width:1024px) {
    .mz-block{
        background: url(../assets/img/imgBackground/background-bavaria.jpg) no-repeat ;
        background-size: cover;
        background-position: center;
    }
}

#logo-block {
    position: fixed;
    top: 5%;
    z-index: 999999;
    width: 300px;
    height: 200px;
    background: url(../assets/img/logos/logo-bavaria.png) no-repeat center;
    background-size: 100% auto;
}

.flex-loader-cover {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    background: rgba(0,0,0,0.4);
}

.loaderPage {
    font-size: 10px;
    margin: 50px auto;
    text-indent: -9999em;
    width: 11em;
    height: 11em;
    border-radius: 50%;
    background: #ffffff;
    background: -moz-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
    background: -webkit-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
    background: -o-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
    background: -ms-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
    background: linear-gradient(to right, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
    position: relative;
    -webkit-animation: load3 1.4s infinite linear;
    animation: load3 1.4s infinite linear;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}

#main .loaderPage:after {
    background: #ff6501;
    width: 75%;
    height: 75%;
    border-radius: 50%;
    content: '';
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

/* Scrollbar */
/* custom scrollbar */
::-webkit-scrollbar {
    width: 20px;
}
  
::-webkit-scrollbar-track {
    background-color: transparent;
}
  
::-webkit-scrollbar-thumb {
    background-color: #d6dee1;
    border-radius: 20px;
    border: 6px solid transparent;
    background-clip: content-box;
}
  
::-webkit-scrollbar-thumb:hover {
    background-color: #a8bbbf;
}

/* fin scrollbar */

/*Estilo Echarts*/
.objectEcharts{
    margin: 0 0 10px 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
}
.insertEchart .objectEcharts{
    max-height: 70%;
    min-height: 70%;
    height: 70%;
    position: absolute !important;
    left: 10px;
    right: 0;
}
.insertEchart .objectEcharts canvas{
    position: absolute !important;
    left: -23px !important;
    /* right: -20px !important; */
    width: calc(100% + 46px) !important;    
}
.insertEchart  .qv-object-kpi .kpi-data {
    justify-content: space-around;
}
.insertEchart .qv-object-kpi .kpi-data > div {
    justify-content: left;
    padding-left: 20px;
}
.insertEchart .qv-object-kpi .value-wrapper {
    align-items: flex-start;
    flex-direction: column;
}
.insertEchart .qv-object-kpi .secondary-wrapper > .ellips-text {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    align-content: center;    
}
.insertEchart .qv-object-kpi .kpi-value {
    padding-left: 10px;
}
.insertEchart .qv-object-kpi .value-wrapper .secondary-wrapper .kpi-value .ellips-text, 
.insertEchart .qv-object-kpi .sn-kpi-value-wrapper .secondary-wrapper .sn-kpi-value .sn-kpi-ellips-text {
    font-size: 14px;
    font-weight:normal ;
}
.lds-facebook {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
  .lds-facebook div {
    display: inline-block;
    position: absolute;
    left: 8px;
    width: 16px;
    background: #fff;
    animation: lds-facebook 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
  }
  .lds-facebook div:nth-child(1) {
    left: 8px;
    animation-delay: -0.24s;
  }
  .lds-facebook div:nth-child(2) {
    left: 32px;
    animation-delay: -0.12s;
  }
  .lds-facebook div:nth-child(3) {
    left: 56px;
    animation-delay: 0;
  }
  @keyframes lds-facebook {
    0% {
      top: 8px;
      height: 64px;
    }
    50%, 100% {
      top: 24px;
      height: 32px;
    }
  }